package com.goafanti.permission.bo;

import java.util.Date;
import java.util.List;

public class PermissionBo {
	private String id;

	/**
	 * 权限对应的url path
	 */
	private String	url;

	/**
	 * 权限名字
	 */
	private String	name;
	
	private String createId;
	
	private Date createTime;
	
	private Date updateTime;
	
	private String deletedSign;
	
	private String autNo;
	
	private String hierarchies;
	
	private String status;
	
	private String showOrder;
	
	private String superId;	
	
	private List<PermissionBo> children;
	
	private String key;
	

	

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public List<PermissionBo> getChildren() {
		return children;
	}

	public void setChildren(List<PermissionBo> children) {
		this.children = children;
	}

	public String getCreateId() {
		return createId;
	}

	public void setCreateId(String createId) {
		this.createId = createId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getDeletedSign() {
		return deletedSign;
	}

	public void setDeletedSign(String deletedSign) {
		this.deletedSign = deletedSign;
	}

	public String getAutNo() {
		return autNo;
	}

	public void setAutNo(String autNo) {
		this.autNo = autNo;
	}

	public String getHierarchies() {
		return hierarchies;
	}

	public void setHierarchies(String hierarchies) {
		this.hierarchies = hierarchies;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getShowOrder() {
		return showOrder;
	}

	public void setShowOrder(String showOrder) {
		this.showOrder = showOrder;
	}

	public String getSuperId() {
		return superId;
	}

	public void setSuperId(String superId) {
		this.superId = superId;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	
}
